geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Paul McMahan <paulmcma...@gmail.com>
Subject Re: geronimo plugin schema (longish)
Date Tue, 24 Jul 2007 20:08:20 GMT
On Jul 24, 2007, at 12:55 PM, Joe Bohn wrote:

> I don't supposed there is anyway to split the module-id out to a  
> single place and then specify all of the applicable geronimo- 
> versions to be associated with the plugin?  It looks like it would  
> be very easy to make a mistake here.  What would happen if a  
> different module if was specified for geronimo-version 2.0 vs.  
> geronimo-version 2.1?

I think we actually want to support that scenario since in many cases  
a module won't be compatible with multiple versions of Geronimo, so a  
different <module-id> will be needed.  Also, if there is no <geronimo- 
version> specified then the plugin installer currently assumes that  
the plugin is compatible with all versions of Geronimo.  So a repo  
maintainer could specify that part of the plugin metadata sorta like  
a switch statement with a default <module-id>.

Best wishes,
Paul

Mime
View raw message